#!/bin/sh
# the next line restarts using tclsh \
    exec tclsh "$0" "$@"

# Test suite for TclMM.  This could probably be rewritten to not use
# TclX.

# $Id: test.tcl,v 1.2 2002/02/09 15:24:45 davidw Exp $

package require tcltest
package require Tclx

load [file join . TclMM[info sharedlibextension]]

set Size 10000
puts "Maximum size possible: [mm_maxsize] bytes"
mm_init $Size ""
puts "Overhead appears to be [expr $Size - [mm_available]] bytes"

::tcltest::test mm_set {Fork and check to make sure we can communicate} {
    set result {}
    set childpid [fork]
    if { $childpid == 0 } {
	# child
	mm_set foo bar
	mm_set baz [list 1 2 3]
	exit
    } else {
	# parent
	after 200
	mm_set bee bop
	set result [list [mm_set foo] [mm_set baz] [mm_set bee]]
	wait $childpid
    }
    set result
} {bar {1 2 3} bop}

mm_end

::tcltest::cleanupTests
